/* Machine-specific elf macros for MIPS.  */
#ident "$Id: elf_mips.h,v 1.2 2001/07/25 12:22:02 malekith Exp $"

#define ELFCLASSM	ELFCLASS32
#ifdef __MIPSEB__
#define ELFDATAM	ELFDATA2MSB
#endif
#ifdef __MIPSEL__
#define ELFDATAM	ELFDATA2LSB
#endif

#define MATCH_MACHINE(x)  (x == EM_MIPS || x == 10)
/*
 * Was: || x == EM_MIPS_RS4_BE, however depending on source (kernel
 * or glibc headers), machine 10 is defined to be either EM_MIPS_RS4_BE
 * or EM_MIPS_RS3_LE. However we will try to load any of them, so 
 * hardcode 10 here...
 */
#define SHT_RELM	SHT_REL
#define Elf32_RelM	Elf32_Rel
